## ocaml-http 0.1.0-3

=== Makefile ===
include Makefile.defs

MODULES = \
	http_constants http_types http_parser_sanity http_misc http_common \
	http_tcp_server http_parser http_message http_request http_daemon \
	http_response http_user_agent

THREADED_SRV = http_threaded_tcp_server
MODULES_MT = $(patsubst http_tcp_server, mt/$(THREADED_SRV) http_tcp_server, $(MODULES))
MODULES_NON_MT = $(patsubst http_tcp_server, non_mt/$(THREADED_SRV) http_tcp_server, $(MODULES))
PUBLIC_MODULES = \
	http_types	\
	http_common	\
	http_message	\
	http_request	\
	http_daemon	\
	http_response	\
	http_user_agent
OCAMLDOC_STUFF = *.mli
DOCDIR = doc/html
DOTDIR = doc/dot
TEXDIR = doc/latex
DESTDIR = $(shell $(OCAMLFIND) printconf destdir) 

all: all_non_mt all_mt
opt: opt_non_mt opt_mt
all_non_mt: http.cma
opt_non_mt: http.cmxa
all_mt: http_mt.cma
opt_mt: http_mt.cmxa
world: all opt
doc: all $(DOCDIR)/index.html $(DOTDIR)/ocaml-http.ps $(TEXDIR)/ocaml-http.ps $(OCAMLDOC_STUFF)
$(DOCDIR)/index.html:
	$(OCAMLDOC) -html -d $(DOCDIR) $(OCAMLDOC_STUFF)
$(TEXDIR)/ocaml-http.tex: $(OCAMLDOC_STUFF)
	$(OCAMLDOC) -latex -o $@ $^
$(TEXDIR)/ocaml-http.ps: $(TEXDIR)/ocaml-http.tex
	cd $(TEXDIR);		\
	latex ocaml-http;	\
	latex ocaml-http;	\
	dvips ocaml-http
$(DOTDIR)/ocaml-http.ps: $(DOTDIR)/ocaml-http.dot
	$(DOT) -Tps $< > $@
$(DOTDIR)/ocaml-http.dot: *.ml *.mli
	$(OCAMLDOC) -dot -o $(DOTDIR)/ocaml-http.dot *.ml *.mli

examples:
	$(MAKE) -C examples/
examples.opt:
	$(MAKE) -C examples/ opt

include .depend

depend:
	$(OCAMLDEP) *.ml *.mli > .depend

%.cmi: %.mli
	$(OCAMLC) -c $<
%.cmo: %.ml %.cmi
	$(OCAMLC) -c $<
%.cmx: %.ml %.cmi
	$(OCAMLOPT) -c $<

non_mt/$(THREADED_SRV).cmo: non_mt/$(THREADED_SRV).ml $(THREADED_SRV).cmi
	cp $(THREADED_SRV).{cmi,mli} non_mt/
	$(OCAMLC) -c $<
non_mt/$(THREADED_SRV).cmx: non_mt/$(THREADED_SRV).ml $(THREADED_SRV).cmi
	cp $(THREADED_SRV).{cmi,mli} non_mt/
	$(OCAMLOPT) -c $<

mt/$(THREADED_SRV).cmo: mt/$(THREADED_SRV).ml $(THREADED_SRV).cmi
	cp $(THREADED_SRV).{cmi,mli} mt/
	$(OCAMLC) $(THREADS_FLAGS) -c $<
mt/$(THREADED_SRV).cmx: mt/$(THREADED_SRV).ml $(THREADED_SRV).cmi
	cp $(THREADED_SRV).{cmi,mli} mt/
	$(OCAMLOPT) $(THREADS_FLAGS) -c $<

http.cma: $(patsubst %,%.cmo,$(MODULES_NON_MT))
	$(OCAMLC) -a -o $@ $^
http.cmxa: $(patsubst %,%.cmx,$(MODULES_NON_MT))
	$(OCAMLOPT) -a -o $@ $^
http_mt.cma: $(patsubst %,%.cmo,$(MODULES_MT))
	$(OCAMLC) -a -o $@ $^
http_mt.cmxa: $(patsubst %,%.cmx,$(MODULES_MT))
	$(OCAMLOPT) -a -o $@ $^

meta: META
META: META.in
	cat META.in | sed -e 's/@DISTVERSION@/$(DISTVERSION)/' > META

clean:
	$(MAKE) -C examples/ clean
	for d in . mt non_mt; do	\
		rm -f $$d/*.cm[ioax] $$d/*.cmxa $$d/*.[ao] $$d/test{,.opt};	\
	done
	rm -f {mt,non_mt}/$(THREADED_SRV).mli
docclean:
	-rm -f	\
		$(DOCDIR)/*.html $(DOCDIR)/*.css	\
		$(DOTDIR)/*.dot $(DOTDIR)/*.ps	\
		$(TEXDIR)/*.{dvi,ps,ps.gz,pdf,aux,log,out,toc,tmp,haux,sty,tex}
distclean: clean
	$(MAKE) -C examples/ distclean
	rm -f META
dist: distreal distrm
distdoc: all doc
	if [ -d $(DISTDIR) ]; then rm -rf $(DISTDIR); else true; fi
	mkdir -p $(DISTDIR)/doc/
	cp -r doc/html/ $(DISTDIR)/doc/
	cp doc/dot/ocaml-http.ps $(DISTDIR)/doc/modules.ps
	cp doc/latex/ocaml-http.ps $(DISTDIR)/doc/
distreal: distdoc distclean depend
	for f in	\
			$(patsubst %, %.ml, $(MODULES))	\
			$(patsubst %, %.mli, $(MODULES) $(THREADED_SRV))	\
			mt/ non_mt/ $(EXTRA_DIST) examples/ debian/;	\
	do	\
		cp -r $$f $(DISTDIR)/;	\
	done
	-find $(DISTDIR)/ -type d -name CVS -exec rm -rf {} \;
	-find $(DISTDIR)/ -type f -name ".cvs*" -exec rm -f {} \;
	tar cvzf $(DISTDIR).tar.gz $(DISTDIR)/
distrm:
	rm -rf $(DISTDIR)/
deb: docclean distreal
	(cd $(DISTDIR)/ && debuild)
	rm -rf $(DISTDIR)/
install: META
	$(OCAMLFIND) install -destdir $(DESTDIR) $(PKGNAME)	\
		$(patsubst %, %.mli, $(PUBLIC_MODULES))	\
		$(patsubst %, %.cmi, $(PUBLIC_MODULES))	\
		$(wildcard *.cma *.cmxa *.a) META

.PHONY:	\
	all opt world all_non_mt all_mt opt_non_mt opt_mt	\
	examples examples.opt depend clean distclean dist	\
	install meta doc deb distreal distrm

=== debian/changelog ===
ocaml-http (0.1.0-3) unstable; urgency=low

  * rebuilt against ocamlnet 1.0
  * uses dpatch, changed debian/{control,rules,patches} accordingly
  * patched http_daemon.ml so that it doesn't flush data, this
    apparently solves some issues with approx (see
    debian/patches/17_flush.dpatch)

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 15 Apr 2005 08:57:14 +0200

ocaml-http (0.1.0-2) unstable; urgency=low

  * rebuilt against ocaml 3.08.3

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 29 Mar 2005 11:39:24 +0200

ocaml-http (0.1.0-1) unstable; urgency=low

  * first debian official package

 -- Stefano Zacchiroli <zack@debian.org>  Tue,  8 Feb 2005 22:45:54 +0100

ocaml-http (0.1.0) unstable; urgency=low

  * added "daemon specifications": a unified way of specifying daemons
    behaviour including old parameters of Http_daemon.start together
    with authentication requirements and exception handling
  * added new way of building daemons starting from specifications, old
    ways (e.g. Http_daemon.start) are now deprecated
  * added sigpipe handling to avoid daemons dying for uncaught signals
  * added exception handler (as part of a daemon specification), it can
    be used to ensure that some code is execute before a process/thread
    die for uncaught exception (e.g. unlocking a global mutex)
  * added authentication requirements (as part of a daemon
    specification): an handy way to specify required user name and
    password for HTTP basic authentication
  * added head_callback to Http_user_agent in order to have access to
    response status and headers in HTTP requests
  * changed license from GPL to LGPL
  * improved ocamldoc documentation and debian packaging

 -- Stefano Zacchiroli <zack@debian.org>  Thu,  3 Feb 2005 23:08:14 +0100

ocaml-http (0.0.10) unstable; urgency=low

  * renamed Http_client module to Http_user_agent to avoid compatibility
    issues with Netclient. Renamed that module functions removing
    "http_" prefix (e.g., summarizing, Http_client.http_get ->
    Http_user_agent.get)
  * ported to ocaml 3.08
  * debian/control
    - bumped standards version to 3.6.1.1
    - changed deps to ocaml 3.08 and -nox

 -- Stefano Zacchiroli <zack@debian.org>  Thu,  5 Aug 2004 15:06:49 +0200

ocaml-http (0.0.9) unstable; urgency=low

  * Added support for HTTP Basic authentication
  * Restyled Http_daemon API so that correct invocations of them are
    statically typechecked
  * Added support for HEAD requests to Http_client
  * ~addr parameter now support not only ip addresses but also hostnames
  * debian/control
    - bumped Standards-Version to 3.6.1.0
  * debian/rules
    - moved debhelper compatibility level to debian/compat

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 16 Dec 2003 18:01:41 +0100

ocaml-http (0.0.8) unstable; urgency=low

  * Added support for "ancient" HTTP requests which specify no HTTP
    version
    - 'version' method on message now has type 'version option'
  * Http_daemon now use debugging prints from Http_common like other
    modules
  * Added debugging print of requests parse error
  * Shutdown server socket on abnormal exit (actually: uncaught
    exceptions or SIGTERM received)
  * Added a lot of ocamldoc documentation
  * Added minimal HTTP 1.0/1.1 client support

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 10 Jan 2003 10:36:53 +0100

ocaml-http (0.0.7) unstable; urgency=low

  * Added support for POST requests
  * Implemented a commont 'message' class from which 'request' and
    'response' inherit
  * Changed constructor of 'request' objects, requests are now buildable
    directly (and only) from an input channel
  * Added client IP address information to Http_request.request class
  * Added OO daemon interfaces ("daemon" and "connection" classes)
  * Use Pcre to perform sanity test on headers instead of home made
    parsing
  * Callback functions can raise Http_types.Quit to have main daemon
    quit
  * Case-insensitive handling of header names

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 25 Dec 2002 16:22:31 +0100

ocaml-http (0.0.6) unstable; urgency=low

  * Ship multithreaded and non multithreaded cm{x,}aS
  * Added support for multiple binding of the same parameter in request
    objects (new method 'paramAll')
  * Added support for 'empty' bindings in query arguments (e.g.
    "/foo?b=" or "/foo?b")
  * Added some sanity checks
  * Bumped Standards-Version to 3.5.8
  * Use versioned dependencies lib{pcre,ocamlnet}-ocaml-dev-<version>
  * Added 'Provides libhttp-ocaml-dev-<version>'
  * Removed GPL from debian/copyright, added reference to
    /usr/share/common-licenses/GPL

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 25 Nov 2002 11:04:49 +0100

ocaml-http (0.0.5) unstable; urgency=low

  * Fixed bug for HTTP encoded GET parameters which contain '?' or '&'
    characters
  * Added support for chdir in a given document root before starting
  * Added support for multi threaded daemons
  * Added a generic 'Http_daemon.respond' function
  * Added 'toString' method to response objects

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 22 Nov 2002 11:29:37 +0100

ocaml-http (0.0.3) unstable; urgency=low

  * First release.

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 17 Nov 2002 17:41:41 +0100

=== debian/control ===
Source: ocaml-http
Section: devel
Priority: optional
Maintainer: Stefano Zacchiroli <zack@debian.org>
Build-Depends: debhelper (>> 4.0.0), ocaml-nox-3.08.3, ocaml-findlib, libpcre-ocaml-dev (>= 5.08.1-3), libocamlnet-ocaml-dev (>= 1.0-1), dpatch
Standards-Version: 3.6.1.1

Package: libhttp-ocaml-dev
Architecture: any
Depends: ocaml-nox-3.08.3, libpcre-ocaml-dev (>= 5.08.1-3), libocamlnet-ocaml-dev (1.0-1)
Description: OCaml library for writing HTTP servers
 OCaml HTTP is a library for the Objective Caml programming language,
 used to build simple HTTP servers, largely inspired to Perl's
 HTTP::Daemon module.
 .
 In order to implement an HTTP servers the programmer has to provide a
 daemon specification which contains, among other parameters, a callback
 function invoked by OCaml HTTP on well formed HTTP requests received.
 HTTP responses could be sent over an out_channel connected with client
 socket, accessible from the callback.
 .
 The library contains also facility functions that helps in creating
 well formed HTTP responses and a tiny HTTP client.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make

TARGETDIR = $(CURDIR)/debian/libhttp-ocaml-dev
OCAML_LIB_DIR = $(shell ocamlc -where)

build: build-stamp
build-stamp: patch-stamp
	dh_testdir
	$(MAKE) all
	if [ -x /usr/bin/ocamlopt ]; then $(MAKE) opt; else true; fi
	touch build-stamp

clean: patch clean1 unpatch
clean1:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(TARGETDIR)$(OCAML_LIB_DIR)

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-arch binary install

## ocaml-http 0.1.0-4

=== debian/changelog ===
ocaml-http (0.1.0-4) unstable; urgency=low

  * debian/control
    - fixed a typo in the Depends line (for this reason, last uploaded
      .deb carries no Depends at all!)

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 29 Apr 2005 14:07:41 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: libhttp-ocaml-dev
 Architecture: any
-Depends: ocaml-nox-3.08.3, libpcre-ocaml-dev (>= 5.08.1-3), libocamlnet-ocaml-dev (1.0-1)
+Depends: ocaml-nox-3.08.3, libpcre-ocaml-dev (>= 5.08.1-3), libocamlnet-ocaml-dev (>= 1.0-1)
 Description: OCaml library for writing HTTP servers
  OCaml HTTP is a library for the Objective Caml programming language,
  used to build simple HTTP servers, largely inspired to Perl's

## ocaml-http 0.1.2-3build1

=== debian/changelog ===
ocaml-http (0.1.2-3build1) dapper; urgency=low

  * Ubuntu rebuild for ocaml transition

 -- Gauvain Pocentek <gauvainpocentek@yahoo.fr>  Sat, 11 Feb 2006 14:57:51 +0100

ocaml-http (0.1.2-3) unstable; urgency=low

  * Rebuilt against OCaml 3.09.1, bumped deps accordingly.

 -- Stefano Zacchiroli <zack@debian.org>  Sun,  8 Jan 2006 13:13:07 +0100

ocaml-http (0.1.2-2) unstable; urgency=low

  * rebuilt with ocaml 3.09
  * debian/*
    - no more hardcoding of ocaml abi version anywhere
  * debian/rules
    - use cdbs

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 26 Nov 2005 20:28:26 +0100

ocaml-http (0.1.2-1) unstable; urgency=low

  * avoid exceptions for closing connection twice during finaliztion of
    connection objects (thanks to Eric Strokes <eric.stokes@csun.edu>
    for the patch)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 14 Sep 2005 18:03:40 +0200

ocaml-http (0.1.1-1) unstable; urgency=low

  * added ?default parameter to "param" method
  * fixed bug in response status line parsing
  * integrated patch for HTTP/1.1 persistent connections from
    Eric Cooper <ecc@cmu.edu>:
    - added support for persistent connections to http_daemon.ml: server
      now loops until End_of_file (or any exception) occurs when trying
      to parse the next request
  * debian/control
    - bumped pcre and ocamlnet dependencies
    - bumped standards-version to 3.6.2

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 16 Mar 2005 09:24:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Stefano Zacchiroli <zack@debian.org>
-Build-Depends: debhelper (>> 4.0.0), ocaml-nox-3.08.3, ocaml-findlib, libpcre-ocaml-dev (>= 5.08.1-3), libocamlnet-ocaml-dev (>= 1.0-1), dpatch
-Standards-Version: 3.6.1.1
+Build-Depends: debhelper (>> 4.0.0), ocaml-nox (>= 3.09.1), ocaml-findlib (>= 1.1), libpcre-ocaml-dev (>= 5.10.1-2), libocamlnet-ocaml-dev (>= 1.1-8), cdbs
+Standards-Version: 3.6.2
 
 Package: libhttp-ocaml-dev
 Architecture: any
-Depends: ocaml-nox-3.08.3, libpcre-ocaml-dev (>= 5.08.1-3), libocamlnet-ocaml-dev (>= 1.0-1)
+Depends: ocaml-nox-${F:OCamlABI}, libpcre-ocaml-dev (>= 5.10.1-2), libocamlnet-ocaml-dev (>= 1.1-8)
 Description: OCaml library for writing HTTP servers
  OCaml HTTP is a library for the Objective Caml programming language,
  used to build simple HTTP servers, largely inspired to Perl's

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

PKGNAME = libhttp-ocaml-dev

OCAMLABI := $(shell ocamlc -version)
OCAMLLIBDIR := $(shell ocamlc -where)
OFILES := $(patsubst %.in,%,$(shell ls debian/*.in))
HAVE_OCAMLOPT := $(shell test -x /usr/bin/ocamlopt && echo "yes")
DEB_DH_GENCONTROL_ARGS = -- -VF:OCamlABI="$(OCAMLABI)"
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/$(PKGNAME)$(OCAMLLIBDIR)

ocamlinit:
	for f in $(OFILES); do sed -e 's/@OCamlABI@/$(OCAMLABI)/g' $$f.in > $$f; done

ifeq ($(HAVE_OCAMLOPT),yes)
build/$(PKGNAME)::
	$(MAKE) opt
endif

## ocaml-http 0.1.2-4

=== Makefile ===
--- 
+++ 
@@ -117,8 +117,7 @@
 	do	\
 		cp -r $$f $(DISTDIR)/;	\
 	done
-	-find $(DISTDIR)/ -type d -name CVS -exec rm -rf {} \;
-	-find $(DISTDIR)/ -type f -name ".cvs*" -exec rm -f {} \;
+	-find $(DISTDIR)/ -type d -name .svn -exec rm -rf {} \;
 	tar cvzf $(DISTDIR).tar.gz $(DISTDIR)/
 distrm:
 	rm -rf $(DISTDIR)/

=== debian/changelog ===
ocaml-http (0.1.2-4) unstable; urgency=low

  * Rebuilt against ocaml 3.09.2, bumped deps accordingly.
  * debian/control
    - Bumped Standards-Version to 3.7.2 (no changes needed)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 17 May 2006 05:18:32 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Stefano Zacchiroli <zack@debian.org>
-Build-Depends: debhelper (>> 4.0.0), ocaml-nox (>= 3.09.1), ocaml-findlib (>= 1.1), libpcre-ocaml-dev (>= 5.10.1-2), libocamlnet-ocaml-dev (>= 1.1-8), cdbs
-Standards-Version: 3.6.2
+Build-Depends: debhelper (>> 4.0.0), ocaml-nox (>= 3.09.2), ocaml-findlib (>= 1.1), libpcre-ocaml-dev (>= 5.10.1-2), libocamlnet-ocaml-dev (>= 1.1-8), cdbs
+Standards-Version: 3.7.2
 
 Package: libhttp-ocaml-dev
 Architecture: any

## ocaml-http 0.1.3-2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 include Makefile.defs
+export SHELL=/bin/bash
 
 MODULES = \
 	http_constants http_types http_parser_sanity http_misc http_common \

=== debian/changelog ===
ocaml-http (0.1.3-2) unstable; urgency=low

  * debian/control.in
    - file removed, no longer needed
  * debian/control
    - bumped dependencies on pcre-ocaml and ocamlnet
  * debian/rules
    - binNMU safe substitution of variables in .in files
  * debian/dirs
    - file removed, will be generated at build time

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 15 Sep 2006 00:29:56 +0200

ocaml-http (0.1.3-1) unstable; urgency=low

  * force bash as SHELL in Makefile, since we rely on bashisms
    (closes: bug#381915)
  * removed Http_daemon.{start,start'}, they have been deprecated a while ago
    in favour of Http_daemon.main
  * added 'auto_close' to daemon specifications. When set to true (defaults to
    false), makes ocaml-http close every connection with client just after
    having executed a callback, no matter if that callback succeeds or fails
    with an exception

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 20 Aug 2006 18:07:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Stefano Zacchiroli <zack@debian.org>
-Build-Depends: debhelper (>> 4.0.0), ocaml-nox (>= 3.09.2), ocaml-findlib (>= 1.1), libpcre-ocaml-dev (>= 5.10.1-2), libocamlnet-ocaml-dev (>= 1.1-8), cdbs
+Build-Depends: debhelper (>> 4.0.0), ocaml-nox (>= 3.09.2), ocaml-findlib (>= 1.1), libpcre-ocaml-dev (>= 5.11.1), libocamlnet-ocaml-dev (>= 1.1-12), cdbs
 Standards-Version: 3.7.2
 
 Package: libhttp-ocaml-dev
 Architecture: any
-Depends: ocaml-nox-${F:OCamlABI}, libpcre-ocaml-dev (>= 5.10.1-2), libocamlnet-ocaml-dev (>= 1.1-8)
+Depends: ocaml-nox-${F:OCamlABI}, libpcre-ocaml-dev (>= 5.11.1), libocamlnet-ocaml-dev (>= 1.1-12)
 Description: OCaml library for writing HTTP servers
  OCaml HTTP is a library for the Objective Caml programming language,
  used to build simple HTTP servers, largely inspired to Perl's

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

PKGNAME = libhttp-ocaml-dev

OCAMLABI := $(shell ocamlc -version)
OCAMLLIBDIR := $(shell ocamlc -where)
OFILES := $(filter-out debian/control,$(patsubst %.in,%,$(wildcard debian/*.in)))
HAVE_OCAMLOPT := $(shell test -x /usr/bin/ocamlopt && echo "yes")
DEB_DH_GENCONTROL_ARGS = -- -VF:OCamlABI="$(OCAMLABI)"

ocamlinit:
	for f in $(OFILES); do sed -e 's/@OCamlABI@/$(OCAMLABI)/g' $$f.in > $$f; done
makebuilddir/$(PKGNAME):: ocamlinit

DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/$(PKGNAME)$(OCAMLLIBDIR)

ifeq ($(HAVE_OCAMLOPT),yes)
build/$(PKGNAME)::
	$(MAKE) opt
endif

## ocaml-http 0.1.4-2

=== debian/changelog ===
ocaml-http (0.1.4-2) unstable; urgency=low

  * change how the ocamldoc API reference is generated: no longer use upstream
    Makefile, but rather rely on CDBS
  * debian/control
    - remove build-dep on texlive stuff and graphviz since now we only ship
      HTML version of the API reference
  * debian/docs, debian/doc-base
    - file removed, the latter will be now automatically generated, the former
      would only contain README and CDBS is smart enough to guess it

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 09 Sep 2007 12:34:07 +0200

ocaml-http (0.1.4-1) experimental; urgency=low

  * rebuild against OCaml 3.10 and ocamlnet 2.2
  * send internally generated headers as lowercase strings, for consistency
    with headers generated via setXXX methods
  * add preliminary support for cookies (new "cookies" method added to an
    http_request, cookies are parsed upon request creation if a "Cookie:"
    header has been received)
  * debian/rules
    - use ocaml.mk CDBS class
  * debian/rules
    - build ocamldoc documentation at package build time
  * debian/control
    - add build-dep on camlp4, which is now in a separate package
    - add build-dep for doc generation: graphviz, texlive-latex-recommended,
      texlive-base-bin, texlive-latex-extra
  * debian/svn-deblayout
    - add repository layout information
  - bump debhelper dep and compatibility level to 5

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 16 Jul 2007 16:19:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Stefano Zacchiroli <zack@debian.org>
-Build-Depends: debhelper (>> 4.0.0), ocaml-nox (>= 3.09.2), ocaml-findlib (>= 1.1), libpcre-ocaml-dev (>= 5.11.1), libocamlnet-ocaml-dev (>= 1.1-12), cdbs
+Build-Depends: debhelper (>> 5.0.0), cdbs, ocaml-nox (>= 3.10.0), camlp4 (>= 3.10.0), ocaml-findlib (>= 1.1), libpcre-ocaml-dev (>= 5.11.1), libocamlnet-ocaml-dev (>= 2.2)
 Standards-Version: 3.7.2
 
 Package: libhttp-ocaml-dev
 Architecture: any
-Depends: ocaml-nox-${F:OCamlABI}, libpcre-ocaml-dev (>= 5.11.1), libocamlnet-ocaml-dev (>= 1.1-12)
+Depends: ocaml-nox-${F:OCamlABI}, libpcre-ocaml-dev (>= 5.11.1), libocamlnet-ocaml-dev (>= 2.2)
 Description: OCaml library for writing HTTP servers
  OCaml HTTP is a library for the Objective Caml programming language,
  used to build simple HTTP servers, largely inspired to Perl's

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/class/ocaml.mk

PKGNAME = libhttp-ocaml-dev
OCAML_OCAMLDOC_PACKAGES = $(OCAML_LIBDEV_PACKAGES)
DEB_MAKE_BUILD_TARGET = all
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
DEB_MAKE_BUILD_TARGET += opt
endif
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/$(PKGNAME)$(OCAML_STDLIB_DIR)

## ocaml-http 0.1.4-2build1

=== debian/changelog ===
ocaml-http (0.1.4-2build1) intrepid; urgency=low

  * Rebuild with OCaml 3.10.2. 

 -- Michael Bienia <geser@ubuntu.com>  Tue, 27 May 2008 20:23:31 +0200

## ocaml-http 0.1.4-3

=== debian/changelog ===
ocaml-http (0.1.4-3) unstable; urgency=low

  * rebuild with OCaml 3.11
  * debian/control
    - refresh build-dependencies for the transition
    - add Vcs-* fields pointing to HELM's repository and browser
    - add missing ${misc:Depends}, thanks lintian!
    - set package section to "ocaml"
    - add Homepage field
  * debian/rules: use ocaml.mk as a CDBS "rules" snippet
  * debian/*.in: use more abstract substitution variable to avoid
    hard-coding assumption on stdlib location

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 19 Mar 2009 11:06:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,28 @@
 Source: ocaml-http
-Section: devel
+Section: ocaml
 Priority: optional
 Maintainer: Stefano Zacchiroli <zack@debian.org>
-Build-Depends: debhelper (>> 5.0.0), cdbs, ocaml-nox (>= 3.10.0), camlp4 (>= 3.10.0), ocaml-findlib (>= 1.1), libpcre-ocaml-dev (>= 5.11.1), libocamlnet-ocaml-dev (>= 2.2)
+Build-Depends:
+ debhelper (>> 5.0.0),
+ cdbs,
+ dh-ocaml,
+ ocaml-nox,
+ camlp4,
+ ocaml-findlib,
+ libpcre-ocaml-dev,
+ libocamlnet-ocaml-dev (>= 2.2.9-6)
 Standards-Version: 3.7.2
+Vcs-Svn: svn://mowgli.cs.unibo.it/trunk/helm/software/DEVEL/ocaml-http
+Vcs-Browser: http://helm.cs.unibo.it/websvn/listing.php?path=/trunk/helm/software/DEVEL/ocaml-http/
+Homepage: http://upsilon.cc/~zack/hacking/software/ocaml-http/
 
 Package: libhttp-ocaml-dev
 Architecture: any
-Depends: ocaml-nox-${F:OCamlABI}, libpcre-ocaml-dev (>= 5.11.1), libocamlnet-ocaml-dev (>= 2.2)
+Depends:
+ ocaml-nox-${F:OCamlABI},
+ libpcre-ocaml-dev,
+ libocamlnet-ocaml-dev,
+ ${misc:Depends}
 Description: OCaml library for writing HTTP servers
  OCaml HTTP is a library for the Objective Caml programming language,
  used to build simple HTTP servers, largely inspired to Perl's

## ocaml-http 0.1.4-3build1

=== debian/changelog ===
ocaml-http (0.1.4-3build1) karmic; urgency=low

  * no change rebuild for OCaml 3.11.0 - transition.

 -- Andrea Gasparini <gaspa@yattaweb.it>  Thu, 30 Jul 2009 19:41:53 +0200

## ocaml-http 0.1.4-3build2

=== debian/changelog ===
ocaml-http (0.1.4-3build2) lucid; urgency=low

  * No-change rebuild for OCaml 3.11.2 transition (LP: #529408).

 -- Ilya Barygin <barygin@gmail.com>  Sun, 28 Feb 2010 20:02:31 +0300

## ocaml-http 0.1.4-3build4

=== debian/changelog ===
ocaml-http (0.1.4-3build4) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:41:09 -0600

ocaml-http (0.1.4-3build3) oneiric; urgency=low

  * Rebuild for OCaml 3.12.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 May 2011 13:44:18 +0100

## ocaml-http 0.1.5

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,20 @@
 export SHELL=/bin/bash
 
 MODULES = \
-	http_constants http_types http_parser_sanity http_misc http_common \
-	http_tcp_server http_parser http_message http_request http_daemon \
-	http_response http_user_agent
+	http_constants \
+	http_types \
+	http_parser_sanity \
+	http_misc \
+	http_common \
+	http_tcp_server \
+	cookie_lexer \
+	http_parser \
+	http_message \
+	http_request \
+	http_daemon \
+	http_response \
+	http_user_agent \
+	$(NULL)
 
 THREADED_SRV = http_threaded_tcp_server
 MODULES_MT = $(patsubst http_tcp_server, mt/$(THREADED_SRV) http_tcp_server, $(MODULES))
@@ -55,6 +66,8 @@
 depend:
 	$(OCAMLDEP) *.ml *.mli > .depend
 
+%.ml: %.mll
+	$(OCAMLLEX) $<
 %.cmi: %.mli
 	$(OCAMLC) -c $<
 %.cmo: %.ml %.cmi

=== examples/Makefile ===
include ../Makefile.defs
OBJS_NON_MT = ../http.cma
OBJS_NON_MT_OPT = ../http.cmxa
OBJS_MT = ../http_mt.cma
OBJS_MT_OPT = ../http_mt.cmxa
EXAMPLES_FLAGS = -I .. -linkpkg

EXAMPLES :=	\
	always_ok_daemon.ml	\
	basic_auth.ml		\
	chdir.ml		\
	client_address.ml	\
	damned_recursion.ml	\
	dump_args.ml		\
	highlander.ml		\
	oo_daemon.ml		\
	threads.ml		\
	timeout.ml		\
	webfsd.ml
EXAMPLES := $(patsubst %.ml,%,$(EXAMPLES))

all: $(EXAMPLES)
opt: $(patsubst %,%.opt,$(EXAMPLES))
%: %.ml $(OBJS_NON_MT)
	$(OCAMLC) $(EXAMPLES_FLAGS) $(OBJS_NON_MT) -o $@ $<
%.opt: %.ml $(OBJS_NON_MT_OPT)
	$(OCAMLOPT) $(EXAMPLES_FLAGS) $(OBJS_NON_MT_OPT) -o $@ $<

threads: threads.ml $(OBJS_MT)
	$(OCAMLC) $(EXAMPLES_FLAGS) $(OBJS_MT) $(THREADS_FLAGS) -o $@ $<
threads.opt: threads.ml $(OBJS_MT_OPT)
	$(OCAMLOPT) $(EXAMPLES_FLAGS) $(OBJS_MT_OPT) $(THREADS_FLAGS) -o $@ $<

damned_recursion: damned_recursion.ml $(OBJS_MT)
	$(OCAMLC) $(EXAMPLES_FLAGS) $(OBJS_MT) $(THREADS_FLAGS) -o $@ $<
damned_recursion.opt: damned_recursion.ml $(OBJS_MT_OPT)
	$(OCAMLOPT) $(EXAMPLES_FLAGS) $(OBJS_MT_OPT) $(THREADS_FLAGS) -o $@ $<

distclean: clean
clean:
	-rm -f *.cm[ioax] *.o $(EXAMPLES) $(patsubst %,%.opt,$(EXAMPLES))

=== debian/changelog ===
ocaml-http (0.1.5-2build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:30:19 +0000

ocaml-http (0.1.5-2) unstable; urgency=medium

  * Team upload
  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Thu, 05 Sep 2019 13:54:20 +0200

ocaml-http (0.1.5-1) unstable; urgency=low

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Nov 2011 13:59:35 +0100

ocaml-http (0.1.4-4) unstable; urgency=low

  * Team upload
  * Use dh-ocaml 0.9 (Closes: #642730)
  * debian/control:
    - set Maintainer to Debian OCaml Maintainers
    - set Homepage to forge.ocamlcore.org, add debian/watch
    - suggest ocaml-findlib
    - bump Standards-Version to 3.9.2
    - bump debhelper compatibility level to 8
  * Switch source package format to 3.0 (quilt)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 29 Sep 2011 22:56:58 +0200

=== debian/control ===
Source: ocaml-http
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
 debhelper (>= 8),
 cdbs,
 dh-ocaml (>= 0.9.6~),
 ocaml-nox (>= 3.11.1-3~),
 camlp4,
 ocaml-findlib,
 libpcre-ocaml-dev,
 libocamlnet-ocaml-dev (>= 2.2.9-6)
Standards-Version: 3.9.2
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-http.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-http
Homepage: http://ocaml-http.forge.ocamlcore.org/

Package: libhttp-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: ocaml-findlib
Description: OCaml library for writing HTTP servers
 OCaml HTTP is a library for the Objective Caml programming language,
 used to build simple HTTP servers, largely inspired to Perl's
 HTTP::Daemon module.
 .
 In order to implement an HTTP servers the programmer has to provide a
 daemon specification which contains, among other parameters, a callback
 function invoked by OCaml HTTP on well formed HTTP requests received.
 HTTP responses could be sent over an out_channel connected with client
 socket, accessible from the callback.
 .
 The library contains also facility functions that helps in creating
 well formed HTTP responses and a tiny HTTP client.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
+include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/makefile.mk
-include /usr/share/cdbs/1/class/ocaml.mk
+include /usr/share/cdbs/1/rules/ocaml.mk
 
 PKGNAME = libhttp-ocaml-dev
 OCAML_OCAMLDOC_PACKAGES = $(OCAML_LIBDEV_PACKAGES)

## ocaml-http 0.1.6

=== Makefile ===
--- 
+++ 
@@ -148,3 +148,15 @@
 	all opt world all_non_mt all_mt opt_non_mt opt_mt	\
 	examples examples.opt depend clean distclean dist	\
 	install meta doc deb distreal distrm
+
+VERSION = 0.1.6
+
+release:
+	git tag -a v$(VERSION) -m "Version $(VERSION)."
+	git push origin v$(VERSION)
+	opam publish
+	#opam publish prepare $(NAME_VERSION) $(ARCHIVE)
+	#cp -t $(NAME_VERSION) descr
+	#grep -Ev '^(name|version):' opam >$(NAME_VERSION)/opam
+	#opam publish submit $(NAME_VERSION)
+	#rm -rf $(NAME_VERSION)

=== debian/changelog ===
ocaml-http (0.1.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Homepage and debian/watch
  * Bump debhelper compat level to 13 and stop using cdbs
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Aug 2020 20:14:09 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

PKGNAME = libhttp-ocaml-dev
DEB_MAKE_BUILD_TARGET = all
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
DEB_MAKE_BUILD_TARGET += opt
endif

%:
	dh $@ --with ocaml

override_dh_auto_build:
	$(MAKE) $(DEB_MAKE_BUILD_TARGET)

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(PKGNAME)$(OCAML_STDLIB_DIR)

=== debian/watch ===
version=3
https://github.com/sacerdot/ocaml-http/releases .*/archive/v?([0-9.]+)\.tar\.gz
